Skip to content
Barkend
Search
Ctrl
K
Auto
Light
Dark
Get started
Guides
API Reference
X-ray
Get started
Python
HTTP
HTTP
TypeScript
TypeScript
Python
Python
Go
Go
Ruby
Ruby
Guides
API Reference
X-ray
Overview
Pets
Create
List
Retrieve
Delete
API Reference
Copy Markdown
Open in
Claude
Open in
ChatGPT
Open in
Cursor
Copy Markdown
View as Markdown
Pets
Create
pets.
create
(
PetCreateParams
**kwargs
)
->
Pet
POST
/pets
List
pets.
list
(
)
->
PetListResponse
GET
/pets
Retrieve
pets.
retrieve
(
float
pet_id
)
->
Pet
GET
/pets/{petId}
Delete
pets.
delete
(
float
pet_id
,
PetDeleteParams
**kwargs
)
->
PetDeleteResponse
DELETE
/pets/{petId}
Models
Expand
Collapse
class
Category
:
…
id
:
Optional
[
float
]
name
:
Optional
[
str
]
class
Pet
:
…
name
:
str
photo_urls
:
List
[
str
]
id
:
Optional
[
float
]
category
:
Optional
[
Category
]
id
:
Optional
[
float
]
name
:
Optional
[
str
]
status
:
Optional
[
Literal
[
"available"
,
"pending"
,
"sold"
]
]
Accepts one of the following:
"available"
"pending"
"sold"
tags
:
Optional
[
List
[
Tag
]
]
id
:
Optional
[
float
]
name
:
Optional
[
str
]
class
Tag
:
…
id
:
Optional
[
float
]
name
:
Optional
[
str
]